<?php

/**
 * validation.php
 * Copyright (c) 2019 james@firefly-iii.org
 *
 * This file is part of Firefly III (https://github.com/firefly-iii).
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

declare(strict_types=1);

return [
    'missing_where'                  => '配列に「where」節がありません',
    'missing_update'                 => '配列に「update」節がありません',
    'invalid_where_key'              => 'JSON の「where」節に無効なキーが含まれています',
    'invalid_update_key'             => 'JSON の「update」節に無効なキーが含まれています',
    'invalid_query_data'             => 'クエリの %s:%s 項目に無効なデータがあります。',
    'invalid_query_account_type'     => 'クエリには異なるタイプの口座を含めることはできません。',
    'invalid_query_currency'         => 'クエリには異なる通貨設定の口座を含めることはできません。',
    'iban'                           => '無効なIBANです。',
    'zero_or_more'                   => '数値はマイナスにできません。',
    'date_or_time'                   => '数値はISO 8601 準拠の有効な日付や時刻である必要があります。',
    'source_equals_destination'      => '支出元と支出先が同じです。',
    'unique_account_number_for_user' => 'このアカウント番号は既に使われているようです。',
    'unique_iban_for_user'           => 'このIBANは既に使われているようです。',
    'deleted_user'                   => 'セキュリティー上の制約から、このメールアドレスでは登録できません。',
    'rule_trigger_value'             => 'この数値は選択されたトリガーには無効です。',
    'rule_action_value'              => 'この数値は選択された操作には無効です。',
    'file_already_attached'          => 'アップロードされたファイル ":name"は既に対象に割り当てられています。',
    'file_attached'                  => 'ファイル ":name" のアップロードに成功しました。',
    'must_exist'                     => ':attribute のIDはデータベースに存在しません。',
    'all_accounts_equal'             => 'この欄のすべてのアカウントは一致している必要があります。',
    'group_title_mandatory'          => '一つ以上の取引がある場合、グループ名は必須です。',
    'transaction_types_equal'        => 'すべての分割先は同じ形式である必要があります。',
    'invalid_transaction_type'       => '無効なトランザクション形式です。',
    'invalid_selection'              => 'あなたの選択は無効です。',
    'belongs_user'                   => 'この欄ではその数値は無効です。',
    'at_least_one_transaction'       => '最低でも一つの取引が必要です。',
    'at_least_one_repetition'        => '最低でも一回の繰り返しが必要です。',
    'require_repeat_until'           => '繰り返し回数か、終了日(repeat_until) が必要です。両方は使えません。',
    'require_currency_info'          => 'この項目の内容は通貨情報がなければ無効です。',
    'not_transfer_account'           => 'このアカウントは送金に使用できるアカウントではありません。',
    'require_currency_amount'        => 'この項目の内容は、外部金額情報がなければ無効です。',
    'equal_description'              => '取引の説明はグローバルな説明と同じであってはいけません。',
    'file_invalid_mime'              => '「:mime」タイプのファイル ":name" は新しいアップロードとして受け付けられません。',
    'file_too_large'                 => 'ファイル ":name" のアップロードに成功しました。',
    'belongs_to_user'                => '数値はマイナスにできません。',
    'accepted'                       => 'この欄のすべてのアカウントは一致している必要があります。',
    'bic'                            => '銀行投資契約',
    'at_least_one_trigger'           => 'ルールには少なくとも1つのトリガーが必要です。',
    'at_least_one_action'            => 'ルールには少なくとも1つのアクションが必要です。',
    'base64'                         => 'これは有効な base64 エンコードデータではありません。',
    'model_id_invalid'               => '指定されたIDはこのモデルでは無効です。',
    'less'                           => ':attributeは10,000,000未満にしてください',
    'active_url'                     => '無効なIBANです。',
    'after'                          => ':attribute は :date よりも後の日付にして下さい。',
    'date_after'                     => '開始日は終了日より前でなければなりません。',
    'alpha'                          => ':attribute は文字のみ含めることが出来ます。',
    'alpha_dash'                     => ':attribute は、文字列、数字、ダッシュ（-）のみ含めることが出来ます。',
    'alpha_num'                      => ':attribute は、文字列と数字のみ含めることが出来ます。',
    'array'                          => 'この欄のすべてのアカウントは一致している必要があります。',
    'unique_for_user'                => 'このIBANは既に使われているようです。',
    'before'                         => ':attribute は :date よりも前の日付にして下さい。',
    'unique_object_for_user'         => 'このIBANは既に使われているようです。',
    'unique_account_for_user'        => 'このアカウント番号は既に使われているようです。',
    'between.numeric'                => ':attribute は :min から :max の範囲内にして下さい。',
    'between.file'                   => ':attribute は :min から :max キロバイトの範囲内にして下さい。',
    'between.string'                 => ':attribute は :min から :max 文字の範囲内にして下さい。',
    'between.array'                  => ':attribute は :min から :max 個にして下さい。',
    'boolean'                        => ':attribute 項目は、true または false にして下さい。',
    'confirmed'                      => ':attribute のIDはデータベースに存在しません。',
    'date'                           => '無効なIBANです。',
    'date_format'                    => ':attribute は :format と一致しません。',
    'different'                      => ':attribute と :other は、異なっている必要があります。',
    'digits'                         => ':attribute は :digits 桁にして下さい。',
    'digits_between'                 => ':attribute は :min から :max 桁にして下さい。',
    'email'                          => ':attribute は有効なメールアドレスにして下さい。',
    'filled'                         => ':attribute は必須です。',
    'exists'                         => 'この数値は選択された操作には無効です。',
    'image'                          => 'この欄のすべてのアカウントは一致している必要があります。',
    'in'                             => 'この数値は選択された操作には無効です。',
    'integer'                        => 'この欄のすべてのアカウントは一致している必要があります。',
    'ip'                             => ':attribute は有効なIPアドレスにして下さい。',
    'json'                           => ':attribute は有効なJSON文字列にして下さい。',
    'max.numeric'                    => ':attribute は :max 以上にして下さい。',
    'max.file'                       => ':attribute は :max キロバイト以上にして下さい。',
    'max.string'                     => ':attribute は :max 文字以上にして下さい。',
    'max.array'                      => ':attribute は :max 以上のアイテムを持つことはできません。',
    'mimes'                          => ':attributeには、:values型のファイルを指定してください。',
    'min.numeric'                    => ':attribute は、少なくとも :min 以上にして下さい。',
    'lte.numeric'                    => ':attribute は :value 以下にして下さい。',
    'min.file'                       => ':attribute は :min キロバイト以上にして下さい。',
    'min.string'                     => 'パスワードは6文字以上、かつ要件に合致している必要があります。',
    'min.array'                      => ':attribute は :min 個以上にして下さい。',
    'not_in'                         => 'この数値は選択された操作には無効です。',
    'numeric'                        => 'この欄のすべてのアカウントは一致している必要があります。',
    'numeric_native'                 => '国内通貨',
    'numeric_destination'            => '金額（先）',
    'numeric_source'                 => '金額（元）',
    'regex'                          => 'パスワードリセットトークンが正しくありません。',
    'required'                       => ':attribute 項目は必須です。',
    'required_if'                    => ':otherが:valueの場合、:attributeを指定してください。',
    'required_unless'                => ':other が :values 以外の場合、:attribute フィールドは必須です。',
    'required_with'                  => ':values が存在する場合、:attribute フィールドは必須です。',
    'required_with_all'              => ':attribute 項目は :values が存在する場合は必須です。',
    'required_without'               => ':values が存在しな場合、:attribute は必須です。',
    'required_without_all'           => ':values が一つも存在しない場合、:attribute は必須です。',
    'same'                           => ':attribute は :other 一致する必要があります。',
    'size.numeric'                   => 'この欄のすべてのアカウントは一致している必要があります。',
    'amount_min_over_max'            => '最小金額は最大金額より大きくすることはできません。',
    'size.file'                      => ':attribute は :size キロバイトにして下さい。',
    'size.string'                    => ':attribute は :size 文字にしてください。',
    'size.array'                     => ':attribute は :size 個である必要があります。',
    'unique'                         => ':attributeは既に使用されています。',
    'string'                         => 'この欄のすべてのアカウントは一致している必要があります。',
    'url'                            => 'パスワードリセットトークンが正しくありません。',
    'timezone'                       => ':attribute は有効なゾーンにしてください。',
    '2fa_code'                       => 'この欄ではその数値は無効です。',
    'dimensions'                     => ':attribute は無効な画像サイズです。',
    'distinct'                       => ':attribute は重複しています。',
    'file'                           => 'ファイル ":name" のアップロードに成功しました。',
    'in_array'                       => ':attribute のIDはデータベースに存在しません。',
    'present'                        => 'この欄のすべてのアカウントは一致している必要があります。',
    'amount_zero'                    => '合計金額はゼロにすることはできません。',
    'current_target_amount'          => '現在の金額は目標金額より少なくなければなりません。',
    'unique_piggy_bank_for_user'     => 'ブタの貯金箱 ":name" を編集する',
    'unique_object_group'            => 'グループ名は一意でなければなりません',
    'starts_with'                    => '値は :values で始まる必要があります。',
    'unique_webhook'                 => 'すでにこれらの値の Webhook があります。',
    'unique_existing_webhook'        => 'これらの値を持つ別の Webhook が既にあります。',
    'same_account_type'              => 'これらの口座は同じ口座タイプでなければなりません',
    'same_account_currency'          => 'これらの口座には同じ通貨設定でなければいけません',

    'secure_password'             => 'これは安全なパスワードではありません。もう一度やり直してください。詳細については、https://bit.ly/FF3-password-security を参照してください。',
    'valid_recurrence_rep_type'   => '繰り返し取引のタイプが無効です。',
    'valid_recurrence_rep_moment' => '無効な繰り返し設定があります。',
    'invalid_account_info'        => 'あなたの選択は無効です。',
    'attributes'                  => [
        'email'                   => '新しいメールアドレス',
        'description'             => '説明',
        'amount'                  => '金額',
        'transactions.*.amount'   => '取引金額',
        'name'                    => '名前',
        'piggy_bank_id'           => '貯金箱',
        'targetamount'            => '入金先に入金される金額',
        'opening_balance_date'    => '期首残高日',
        'opening_balance'         => '期首残高',
        'match'                   => '入力された情報に誤りがあります。',
        'amount_min'              => '最低額',
        'amount_max'              => '上限額',
        'title'                   => '一つ以上の取引がある場合、グループ名は必須です。',
        'tag'                     => 'タグ',
        'transaction_description' => '取り引き ":description" を編集する',
        'rule-action-value.1'     => 'この数値は選択された操作には無効です。',
        'rule-action-value.2'     => 'この数値は選択された操作には無効です。',
        'rule-action-value.3'     => 'この数値は選択された操作には無効です。',
        'rule-action-value.4'     => 'この数値は選択された操作には無効です。',
        'rule-action-value.5'     => 'この数値は選択された操作には無効です。',
        'rule-action.1'           => '操作',
        'rule-action.2'           => '操作',
        'rule-action.3'           => '操作',
        'rule-action.4'           => '操作',
        'rule-action.5'           => '操作',
        'rule-trigger-value.1'    => 'この数値は選択されたトリガーには無効です。',
        'rule-trigger-value.2'    => 'この数値は選択されたトリガーには無効です。',
        'rule-trigger-value.3'    => 'この数値は選択されたトリガーには無効です。',
        'rule-trigger-value.4'    => 'この数値は選択されたトリガーには無効です。',
        'rule-trigger-value.5'    => 'この数値は選択されたトリガーには無効です。',
        'rule-trigger.1'          => 'トリガー',
        'rule-trigger.2'          => 'トリガー',
        'rule-trigger.3'          => 'トリガー',
        'rule-trigger.4'          => 'トリガー',
        'rule-trigger.5'          => 'トリガー',
    ],

    // validation of accounts:
    'withdrawal_source_need_data' => '続行するには有効な引き出し元口座 ID および（または）有効な引き出し元口座名を取得する必要があります。',
    'withdrawal_source_bad_data'  => 'ID「:id」、名称「:name」で検索した結果、有効な引き出し元口座が見つかりませんでした。',
    'withdrawal_dest_need_data'   => '続行するには、有効な預け入れ口座 ID および（または）有効な預け入れ口座名を取得する必要があります。',
    'withdrawal_dest_bad_data'    => 'ID「:id」、名称「:name」で検索した結果、有効な預け入れ口座が見つかりませんでした。',

    'generic_source_bad_data' => 'ID「:id」、名称「:name」で検索した結果、有効な引き出し元口座が見つかりませんでした。',

    'deposit_source_need_data' => '続行するには、有効な引き出し元口座 ID および（または）有効な引き出し元口座名を取得する必要があります。',
    'deposit_source_bad_data'  => 'ID「:id」、名称「:name」で検索した結果、有効な引き出し元口座が見つかりませんでした。',
    'deposit_dest_need_data'   => '続行するには、有効な預け入れ先口座 ID および（または）有効な預け入れ先口座名を取得する必要があります。',
    'deposit_dest_bad_data'    => 'ID「:id」、名称「:name」で検索した結果、有効な預け入れ先口座が見つかりませんでした。',
    'deposit_dest_wrong_type'  => '預け入れ先口座が適切なタイプではありません。',

    'transfer_source_need_data' => '続行するには、有効な引き出し元口座 ID および（または）有効な引き出し元口座名を取得する必要があります。',
    'transfer_source_bad_data'  => 'ID「:id」、名称「:name」で検索した結果、有効な引き出し元口座が見つかりませんでした。',
    'transfer_dest_need_data'   => '続行するには、有効な預け入れ先口座 ID および（または）有効な預け入れ先口座名を取得する必要があります。',
    'transfer_dest_bad_data'    => 'ID「:id」、名称「:name」で検索した結果、有効な預け入れ先口座が見つかりませんでした。',
    'need_id_in_edit'           => '各分割は transaction_journal_id (有効な ID または 0 のいずれか) でなければなりません。',

    'ob_source_need_data' => '続行するには、有効な引き出し元口座 ID および（または）有効な引き出し元口座名を取得する必要があります。',
    'lc_source_need_data' => '続行するには有効な引き出し元口座 ID が必要です。',
    'ob_dest_need_data'   => '続行するには、有効な預け入れ口座 ID および（または）有効な預け入れ口座名を取得する必要があります。',
    'ob_dest_bad_data'    => 'ID「:id」、名称「:name」で検索した結果、有効な預け入れ先口座が見つかりませんでした。',

    'generic_invalid_source'      => 'この口座を引き出し元口座として使用することはできません。',
    'generic_invalid_destination' => 'この口座を預け入れ先口座として使用することはできません。',

    'gte.numeric' => ':attribute は :value 以上でなければなりません。',
    'gt.numeric'  => ':attribute は :value より大きな値でなければいけません。',
    'gte.file'    => ':attribute は :value キロバイト以上でなければなりません。',
    'gte.string'  => ':attribute は :value 文字以上でなければなりません。',
    'gte.array'   => ':attribute は :value 個以上でなければいけません。',

    'amount_required_for_auto_budget' => '金額は必須です。',
    'auto_budget_amount_positive'     => '金額はゼロ以上でなければなりません。',
    'auto_budget_period_mandatory'    => '自動予算期間は必須項目です。',
];
